Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-qt/helpdlg.cpp File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Macros | Functions | Variables
helpdlg.cpp File Reference
`#include <QApplication>`
`#include <QGraphicsDropShadowEffect>`
`#include <QGroupBox>`
`#include <QHBoxLayout>`
`#include <QProgressBar>`
`#include <QPushButton>`
`#include <QScreen>`
`#include <QScrollArea>`
`#include <QSplitter>`
`#include <QStack>`
`#include <QStringList>`
`#include <QTextBrowser>`
`#include <QTreeWidget>`
`#include <QVBoxLayout>`
`#include "fcintl.h"`
`#include "movement.h"`
`#include "nation.h"`
`#include "specialist.h"`
`#include "terrain.h"`
`#include "unit.h"`
`#include "helpdata.h"`
`#include "fc_client.h"`
`#include "fonts.h"`
`#include "helpdlg.h"`
`#include "sprite.h"`

Go to the source code of this file.

## Macros

#define | MAX_HELP_TEXT_SIZE 8192
#define | REQ_LABEL_NEVER _("(Never)")
#define | REQ_LABEL_NONE _("?tech:None")
#define | SET_MAX(v) max->v = max->v > terrain->v ? max->v : terrain->v
#define | SET_MAX(v) max->v = max->v > utype->v ? max->v : utype->v

## Functions

static canvas * | terrain_canvas (struct terrain *terrain, const struct extra_type *resource=nullptr, enum extra_cause cause=EC_COUNT)
void | popup_help_dialog_string (const char *item)
void | popup_help_dialog_typed (const char *item, enum help_page_type htype)
void | popdown_help_dialog (void)
void | update_help_fonts ()

## Variables

static help_dialog * | help_dlg = nullptr

## Macro Definition Documentation

## ◆ MAX_HELP_TEXT_SIZE

#define MAX_HELP_TEXT_SIZE 8192

Definition at line 53 of file helpdlg.cpp.

## ◆ REQ_LABEL_NEVER

#define REQ_LABEL_NEVER _("(Never)")

Definition at line 54 of file helpdlg.cpp.

## ◆ REQ_LABEL_NONE

#define REQ_LABEL_NONE _("?tech:None")

Definition at line 55 of file helpdlg.cpp.

## ◆ SET_MAX [1/2]

#define SET_MAX | ( |  | v | ) | max->v = max->v > terrain->v ? max->v : terrain->v

## ◆ SET_MAX [2/2]

#define SET_MAX | ( |  | v | ) | max->v = max->v > utype->v ? max->v : utype->v

## Function Documentation

## ◆ popdown_help_dialog()

void popdown_help_dialog | ( | void |  | ) |

Close the help dialog.

Definition at line 101 of file helpdlg.cpp.

## ◆ popup_help_dialog_string()

void popup_help_dialog_string | ( | const char * | item | ) |

Popup the help dialog to get help on the given string topic. Note that the topic may appear in multiple sections of the help (it may be both an improvement and a unit, for example).

The given string should be untranslated.

Definition at line 68 of file helpdlg.cpp.

## ◆ popup_help_dialog_typed()

void popup_help_dialog_typed | ( | const char * | item,
|  | enum help_page_type | htype
| ) |  |

Popup the help dialog to display help on the given string topic from the given section.

The string will be translated.

Definition at line 79 of file helpdlg.cpp.

Referenced by popup_help_dialog_string().

## ◆ terrain_canvas()

static canvas * terrain_canvas | ( | struct terrain * | terrain,
|  | const struct extra_type * | resource,
|  | enum extra_cause | cause
| ) |  |

static

Creates a terrain image on the given canvas.

Definition at line 1204 of file helpdlg.cpp.

## ◆ update_help_fonts()

void update_help_fonts | ( |  | ) |

Updates fonts

Definition at line 113 of file helpdlg.cpp.

Referenced by apply_help_font().

## Variable Documentation

## ◆ help_dlg

help_dialog* help_dlg = nullptr

static

Definition at line 56 of file helpdlg.cpp.

Referenced by popdown_help_dialog(), popup_help_dialog_typed(), and update_help_fonts().